package com.tzld.piaoquan.api.model.po.contentplatform;

public class ContentPlatformQwPlan {
    private Long id;

    private Integer type;

    private String subChannel;

    private Integer scene;

    private String pageUrl;

    private String rootSourceId;

    private Integer status;

    private Long createAccountId;

    private Long createTimestamp;

    private Long updateTimestamp;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getSubChannel() {
        return subChannel;
    }

    public void setSubChannel(String subChannel) {
        this.subChannel = subChannel;
    }

    public Integer getScene() {
        return scene;
    }

    public void setScene(Integer scene) {
        this.scene = scene;
    }

    public String getPageUrl() {
        return pageUrl;
    }

    public void setPageUrl(String pageUrl) {
        this.pageUrl = pageUrl;
    }

    public String getRootSourceId() {
        return rootSourceId;
    }

    public void setRootSourceId(String rootSourceId) {
        this.rootSourceId = rootSourceId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getCreateAccountId() {
        return createAccountId;
    }

    public void setCreateAccountId(Long createAccountId) {
        this.createAccountId = createAccountId;
    }

    public Long getCreateTimestamp() {
        return createTimestamp;
    }

    public void setCreateTimestamp(Long createTimestamp) {
        this.createTimestamp = createTimestamp;
    }

    public Long getUpdateTimestamp() {
        return updateTimestamp;
    }

    public void setUpdateTimestamp(Long updateTimestamp) {
        this.updateTimestamp = updateTimestamp;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", type=").append(type);
        sb.append(", subChannel=").append(subChannel);
        sb.append(", scene=").append(scene);
        sb.append(", pageUrl=").append(pageUrl);
        sb.append(", rootSourceId=").append(rootSourceId);
        sb.append(", status=").append(status);
        sb.append(", createAccountId=").append(createAccountId);
        sb.append(", createTimestamp=").append(createTimestamp);
        sb.append(", updateTimestamp=").append(updateTimestamp);
        sb.append("]");
        return sb.toString();
    }
}